99USER.LDIF(5)

NAME
/etc/dirsrv/schema/99user.ldif - LDIF file containing custom LDAP Schema for 389 Directory Server.

SYNOPSIS
/etc/dirsrv/schema/99user.ldif

DESCRIPTION
99user.ldif This file contains user defined, or custom, LDAP schema definitions (attributes and objectclasses) used by the Directory Server.

SYNTAX
attributeTypes: VALUE
objectClasses: VALUE

EXAMPLE
dn: cn=schema
attributeTypes: ( 1.1.1.1.1.1.1 NAME 'myNewAttribute' DESC 'Custom defined attribute type' SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 SINGLE-VALUE X-ORIGIN
objectClasses: ( 1.1.1.1.1.1.1.2 NAME 'myNewObjectcass' DESC 'Custom defined objectclass' SUP top MUST ( myNewAttrbiute ) MAY ( uid $ cn ) X-ORIGIN 'user-defined' )

AUTHOR
99user.ldif was written by the 389 Project.

REPORTING BUGS
Report bugs to https://pagure.io/389-ds-base/new_issue

COPYRIGHT
Copyright © 2018 Red Hat, Inc.